#!/bin/sh
BSP_MODEL=$2

. ./build-env.sh

vdecfwdeb=meson-vdec-firmware
vdecfwarch=${BSP_ARCH}
vdecfwver=20180830-1

mkdir -p ${vdecfwdeb}/DEBIAN
mkdir -p ${vdecfwdeb}/lib/firmware

cat <<EOFMVC > ${vdecfwdeb}/DEBIAN/control
Package: ${vdecfwdeb}
Priority: extra
Section: libs
Installed-Size: 2736
Maintainer: auto build <builder@meson.local>
Architecture: ${vdecfwarch}
Version: ${vdecfwver}
Depends: libc6 (>= 2.17)
Conflicts: ${vdecfwdeb}
Description: Amlogic vdec firmware binary blob (meson gx build)
 Amlogic vdec firmware binary blob (meson gx build)
EOFMVC

if [ ! -e meson-vdec-fw.tar.gz ]; then
  if [ ! -e meson-firmware ]; then
    git clone --depth 1 https://github.com/LibreELEC/meson-firmware
  fi

  cd meson-firmware
  tar czf ../meson-vdec-fw.tar.gz meson
  cd ..
fi

cd ${vdecfwdeb}/lib/firmware
tar xzf ../../../meson-vdec-fw.tar.gz
cd - > /dev/null

dpkg-deb -Zxz -b ${vdecfwdeb} ${vdecfwdeb}_${vdecfwver}_${vdecfwarch}.deb

